attribute_type< E3DPatientPositioning > Struct Reference

`#include <mia/3d/orientation.hh>`

Inheritance diagram for attribute_type< E3DPatientPositioning >:
[legend]
Collaboration diagram for attribute_type< E3DPatientPositioning >:
[legend]

## Static Public Attributes

static const int | value = 3001
Static Public Attributes inherited from EAttributeType
static const int | attr_bool = 1
static const int | attr_double = 11
static const int | attr_float = 10
static const int | attr_schar = 3
static const int | attr_sint = 7
static const int | attr_slong = 9
static const int | attr_sshort = 5
static const int | attr_string = 12
static const int | attr_uchar = 2
static const int | attr_uint = 6
static const int | attr_ulong = 8
static const int | attr_unknown = 0
static const int | attr_ushort = 4
static const int | vector_bit = 0x80000000

## Additional Inherited Members

Static Public Member Functions inherited from EAttributeType
static bool | is_vector (int type)
static int | scalar_type (int type)

## Detailed Description

Definition at line 279 of file orientation.hh.

## Field Documentation

## value

const int attribute_type< E3DPatientPositioning >::value = 3001

static

Definition at line 280 of file orientation.hh.

The documentation for this struct was generated from the following file:

- orientation.hh